summaryrefslogtreecommitdiff
path: root/utils/ci/run_commitlint.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/ci/run_commitlint.sh')
-rw-r--r--utils/ci/run_commitlint.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/utils/ci/run_commitlint.sh b/utils/ci/run_commitlint.sh
new file mode 100644
index 00000000..b752956d
--- /dev/null
+++ b/utils/ci/run_commitlint.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+set -eo pipefail
+
+REPO_DIR="$(git rev-parse --show-toplevel)"
+HELP_URL="https://github.com/LunarVim/LunarVim/blob/rolling/CONTRIBUTING.md#commit-messages"
+CONFIG="$REPO_DIR/.github/workflows/commitlint.config.js"
+
+if ! npx commitlint --edit --verbose --help-url "$HELP_URL" --config "$CONFIG"; then
+ exit 1
+fi